Subject: Re: [lojban] openprojects IRC whining.

From: Ted Reed <[email-masked]>
Date: Fri, 15 Mar 2002 02:56:16 -0800

On Thursday, March 14 2002 10:31 am, Jay Kominek wrote:
> On Wed, 13 Mar 2002, Robin Lee Powell wrote:
> > So, people are *still* bitching about using the openprojects.org 'net
> > for IRC, even though
> >
> > 1) Using lojban.org for lojban IRC makes more sense.
> > 2) openprojects.org splits several times a day.
>
> I'll repeat this again, just in case I've accidentally been speaking
> Swahili the last few times:
>
> 1) lojban.org is a name. When you have control of the DNS, you could setup
> your own round robin for irc.lojban.org which pointed it to either a
> single OpenProjects server, (I can't recall one ever going down without
> significant warning, and for a good reason.) or to a small collection
> of servers which are usually topologically close. (I'll develop
> software which can update that list every half an hour or so, if you'd
> like, to guarntee that they're close. I'll even start collecting
> statistics about average distance between servers.)
> 2) A single server can't split from itself. If all Lojban users agreed to
> normally use a single OpenProjects server, (which they wouldn't even
> have to know they were doing if they were just told to use
> irc.lojban.org when it pointed to a specific server) splitting would
> become mostly irrelevent, and then other OpenProjects users could still
> pop in from time to time, and Lojbanists could participate in other
> channels more convinently.
>
> I used the above described technique for quite a long time on Undernet
> (which splits more than OpenProjects) with a much larger group of people,
> and was quite successful.
>
> Absolutely everyone will be getting what they want, and you won't have to
> deal with IRC server maintence, etc. If/when something happens to an
> OpenProjects server, they've got a huge team of people who work prompt to
> fix it, whereas presumably, you leave your house occasionally. :)

OPN IRC servers are remotely controlled by OPN, using ssh and rsync and such.

> > So, here's my offer:
> >
> > If someone is willing to do the work to allow me to be connected as a
> > (secondary) server to openprojects, I'll deal with the bandwidth sucking
> > that will cause.
>
> As the OpenProjects people state on their web page, they do accept new
> servers, but the minimum requirements are in the neighborhood of 45Mbps of
> multihomed bandwidth. I don't think your DSL quite counts. ;)
>
> - Jay Kominek <[email-masked]>
> Plus Ã§a change, plus c'est la mÃªme chose

-- rizen